.fsm-dropdown {
    position: relative;
    display: inline-block;
}

.fsm-dropdown * {
    font-family: Inter-Regular;
    font-size: 20px;
}

.fsm-dropdown img {
    width: 24px;
    height: 24px;
}

.fsm-dropdown-button {
    background-color: transparent;
    border: none;
    cursor: pointer;
    padding: 10px 15px;
    display: flex;
    align-items: center;
    gap: 10px;
    border-radius: 25px;
    overflow: hidden;
}

.fsm-dropdown-button:hover {
    background-color: rgba(0, 0, 0, 0.15);
}

.fsm-dropdown-disabled {
    pointer-events: none;
    opacity: 0.5;
}

.fsm-dropdown-content {
    display: none;
    position: absolute;
    background-color: var(--bg-color);
    width: fit-content;
    height: fit-content;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 9999999;
    flex-direction: column;
    justify-content: center;
    padding: 10px 0;
    border-radius: 15px;
    gap: 10px;
    width: 100%;
    box-shadow: inset 0 2px 6px rgba(35, 35, 35, 0.1);
}

.fsm-dropdown-content a {
    width: 100%;
    height: 25px;
    padding: 0 10px;
    text-decoration: none;
    color: var(--text-color);
    font-size: 18px;
    background-color: tra;
}

.fsm-dropdown-content button {
    outline: none;
    border: none;
    width: 100%;
    height: 25px;
    padding: 0 10px;
    text-decoration: none;
    color: var(--text-color);
    font-size: 18px;
    cursor: pointer;
    background-color: transparent;
    display: flex;
    align-items: center;
    gap: 10px;
}

.fsm-dropdown-content button:hover {
    opacity: .75;
}

.fsm-dropdown:hover .fsm-dropdown-content {
    display: flex;
}